CVE-2020-8955

Name
CVE-2020-8955
Description
irc_mode_channel_update in plugins/irc/irc-mode.c in WeeChat through 2.7 allows remote attackers to cause a denial of service (buffer overflow and application crash) or possibly have unspecified other impact via a malformed IRC message 324 (channel mode).
NVD Severity
high
Other trackers
Mailing lists
Exploits
Forges
GitHub (code, issues), Aports (code, issues)

References

Type URI
Vendor Advisory https://weechat.org/doc/security/
Patch https://github.com/weechat/weechat/commit/6f4f147d8e86adf9ad34a8ffd7e7f1f23a7e74da
SUSE http://lists.opensuse.org/opensuse-security-announce/2020-02/msg00032.html
FEDORA https://lists.fedoraproject.org/archives/list/package-announce@lists.fedoraproject.org/message/ER23GT23US5JXDLUZAMGMWXKZ74MI4S2/
FEDORA https://lists.fedoraproject.org/archives/list/package-announce@lists.fedoraproject.org/message/4ASRTCQFFDAAK347URWNDH6NSED2BGNY/
MLIST https://lists.debian.org/debian-lts-announce/2020/03/msg00031.html
GENTOO https://security.gentoo.org/glsa/202003-51
FEDORA https://lists.fedoraproject.org/archives/list/package-announce@lists.fedoraproject.org/message/M3LAJTLI3LWZRNCFYJ7PCBBTHUMCCBHH/
MLIST https://lists.debian.org/debian-lts-announce/2021/09/msg00018.html

Match rules

CPE URI Source package Min version Max version
cpe:2.3:a:weechat:weechat:*:*:*:*:*:*:*:* weechat >= 0.3.8 <= 2.7

Vulnerable and fixed packages

Source package Branch Version Maintainer Status